<%@ Page Language="C#" Debug="false" Trace="false" EnableViewState="false" %>
<%@ import Namespace="System" %>
<%@ import Namespace="System.IO" %>
<%@ import Namespace="System.Xml" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Text" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Drawing.Imaging" %>
<script runat="server">

    void Page_Load(Object sender, EventArgs e)
    {
        // Load and resize an image
        int iWidth = Convert.ToInt32(Request.QueryString["w"]);
        int iHeight = Convert.ToInt32(Request.QueryString["h"]);

        string sImage = Request.QueryString["img"];

        using (Bitmap bmpResized = new Bitmap(iWidth, iHeight, PixelFormat.Format32bppArgb))
        {
            Graphics oGraphics = Graphics.FromImage(bmpResized);

            // Render settings
            oGraphics.CompositingQuality = System.Drawing.Drawing2D.CompositingQuality.AssumeLinear;
            oGraphics.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.NearestNeighbor;

            // Load image to resize
            using (Bitmap bmpSource = new Bitmap(Server.MapPath(sImage)))
            {
                // Use the whole image
                Rectangle oRectangle = new Rectangle(0, 0, iWidth, iHeight);

                // Draw resized image
                /*
                if ( Request.QueryString["p"] != null )
                    oGraphics.DrawImage(bmpSource, oRectangle); // Preview - Reduce size
                else
                    oGraphics.DrawImageUnscaledAndClipped(bmpSource, oRectangle); // Standard
                */
                oGraphics.DrawImage(bmpSource, oRectangle);
            }

            // Return resized image as a PNG
            Response.ContentType = "image/png";
            MemoryStream oStream = new MemoryStream();
            bmpResized.Save(oStream, ImageFormat.Png);
            oStream.WriteTo(Response.OutputStream);            
        }
    }

</script>